Loading...
Searching...
No Matches
Opm::EclThcLaw< ScalarT, ParamsT > Class Template Reference

Implements the total thermal conductivity and rock enthalpy relations used by ECL. More...

`#include <EclThcLaw.hpp>`

## Public Types

using | Params = ParamsT
using | Scalar = typename Params::Scalar

## Static Public Member Functions

template<class FluidState, class Evaluation = typename FluidState::Scalar>
static Evaluation | thermalConductivity (const Params &params, const FluidState &)
| Given a fluid state, return the total thermal conductivity [W/m^2 / (K/m)] of the porous medium.

## Detailed Description

template<class ScalarT, class ParamsT = EclThcLawParams<ScalarT>>
class Opm::EclThcLaw< ScalarT, ParamsT >

Implements the total thermal conductivity and rock enthalpy relations used by ECL.

This is the thermal conduction law based on the THCROCK, THCOIL, THCGAS and THCWATER keywords.

The documentation for this class was generated from the following file:

- opm/material/thermal/EclThcLaw.hpp